#!/bin/sh

# Only run automatically on container creation
if [ ! -f /var/lib/cc-server/container_init_ok ]; then
    # Generate self signed certif
    make-ssl-cert generate-default-snakeoil --force-overwrite >/dev/null 2>/dev/null
    # cc-server read cert and key on each connection, even after dropping
    # privileges, so this must be allowed
    chown -R cc-server /etc/ssl/private/
    touch /var/lib/cc-server/container_init_ok
fi

exec "$@"
